LibreOffice: Legend Service Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
Legend Service Reference

Describes a legend for a Diagram. More...

`import "Legend.idl";`

Inheritance diagram for Legend:

## Included Services
service | ::com::sun::star::drawing::FillProperties
service | ::com::sun::star::drawing::LineProperties
service | ::com::sun::star::beans::PropertySet

## Exported Interfaces
interface | ::com::sun::star::chart2::XLegend
| The interface for registering and removing legend entries.
Exported Interfaces inherited from PropertySet
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XFastPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::beans::XPropertyAccess
interface | com::sun::star::beans::XPropertyState

## Public Attributes
LegendPosition | AnchorPosition
| Provides an automated position.
::com::sun::star::chart::ChartLegendExpansion | Expansion
| Determines how the aspect ratio of the legend should roughly be.
boolean | Show
| Determines, whether the legend should be rendered by the view.
boolean | Overlay
| Determines, whether the legend should overlay the chart.
com::sun::star::awt::Size | ReferencePageSize
| contains the size of the page at the time when properties were set (e.g.
::com::sun::star::chart2::RelativePosition | RelativePosition
| The position is as a relative position on the page.
Public Attributes inherited from FillProperties
FillStyle | FillStyle
| This enumeration selects the style the area will be filled with.
com::sun::star::util::Color | FillColor
| If the property FillStyle is set to FillStyle::SOLID, this is the color used.
short | FillTransparence
| This is the transparence of the filled area.
string | FillTransparenceGradientName
| If a gradient is used for transparency, this is the name of the used transparence gradient style or it is empty.
com::sun::star::awt::Gradient | FillTransparenceGradient
| This describes the transparency of the fill area as a gradient.
string | FillGradientName
| If the property FillStyle is set to FillStyle::GRADIENT, this is the name of the used fill gradient style.
com::sun::star::awt::Gradient | FillGradient
| If the property FillStyle is set to FillStyle::GRADIENT, this describes the gradient used.
string | FillHatchName
| If the property FillStyle is set to FillStyle::HATCH, this is the name of the used fill hatch style.
Hatch | FillHatch
| If the property FillStyle is set to FillStyle::HATCH, this describes the hatch used.
boolean | FillBackground
| if this is TRUE, the transparent background of a hatch filled area is drawn in the current background color.
string | FillBitmapName
| If the property FillStyle is set to FillStyle::BITMAP, this is the name of the used fill bitmap style.
com::sun::star::awt::XBitmap | FillBitmap
| If the property FillStyle is set to FillStyle::BITMAP, this is the bitmap used.
string | FillBitmapURL
| If the property FillStyle is set to FillStyle::BITMAP, this is a URL to the bitmap used.
short | FillBitmapPositionOffsetX
| This is the horizontal offset where the tile starts.
short | FillBitmapPositionOffsetY
| This is the vertical offset where the tile starts.
short | FillBitmapOffsetX
| Every second line of tiles is moved the given percent of the width of the bitmap.
short | FillBitmapOffsetY
| Every second row of tiles is moved the given percent of the height of the bitmap.
RectanglePoint | FillBitmapRectanglePoint
| The RectanglePoint specifies the position inside of the bitmap to use as the top left position for rendering.
boolean | FillBitmapLogicalSize
| specifies if the size is given in percentage or as an absolute value.
long | FillBitmapSizeX
| This is the width of the tile for filling.
long | FillBitmapSizeY
| This is the height of the tile for filling.
BitmapMode | FillBitmapMode
| this enum selects how an area is filled with a single bitmap.
boolean | FillBitmapStretch
| if set, the fill bitmap is stretched to fill the area of the shape.
boolean | FillBitmapTile
| if set, the fill bitmap is repeated to fill the area of the shape.
com::sun::star::text::GraphicCrop | GraphicCrop
| contains the cropping of the object.
boolean | FillUseSlideBackground
| If this is TRUE, and FillStyle is FillStyle::NONE: The area displays the slide background.
Public Attributes inherited from LineProperties
com::sun::star::drawing::LineStyle | LineStyle
| This property contains the type of the line.
com::sun::star::drawing::LineDash | LineDash
| This property contains the dash of the line.
string | LineDashName
| This property contains the name of the dash of the line.
com::sun::star::util::Color | LineColor
| This property contains the line color.
short | LineTransparence
| This property contains the extent of transparency.
long | LineWidth
| This property contains the width of the line in 1/100th mm.
com::sun::star::drawing::LineJoint | LineJoint
| This property defines the rendering of joints between thick lines.
com::sun::star::drawing::LineCap | LineCap
| This property defines the rendering of ends of thick lines.
string | LineStartName
| This property contains the name of the line start poly polygon Bezier.
string | LineEndName
| This property contains the name of the line end poly polygon Bezier.
com::sun::star::drawing::PolyPolygonBezierCoords | LineStart
| This property contains the line start in the form of a poly polygon Bezier.
com::sun::star::drawing::PolyPolygonBezierCoords | LineEnd
| This property contains the line end in the form of a poly polygon Bezier.
boolean | LineStartCenter
| If this property is TRUE, the line will start from the center of the polygon.
long | LineStartWidth
| This property contains the width of the line start polygon.
boolean | LineEndCenter
| If this property is TRUE, the line will end in the center of the polygon.
long | LineEndWidth
| This property contains the width of the line end polygon.

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XFastPropertySet
void | setFastPropertyValue ([in] long nHandle, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value to the property with the specified name.
any | getFastPropertyValue ([in] long nHandle) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Protected Member Functions inherited from XPropertyAccess
sequence< com::sun::star::beans::PropertyValue > | getPropertyValues ()
void | setPropertyValues ([in] sequence< com::sun::star::beans::PropertyValue > aProps) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of given properties.
Protected Member Functions inherited from XPropertyState
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value.
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )

## Detailed Description

Describes a legend for a Diagram.

## Exported Interfaces

## ◆ ::com::sun::star::beans::PropertySet

service ::com::sun::star::beans::PropertySet

## ◆ ::com::sun::star::drawing::FillProperties

service ::com::sun::star::drawing::FillProperties

## ◆ ::com::sun::star::drawing::LineProperties

service ::com::sun::star::drawing::LineProperties

## Exported Interfaces

## ◆ ::com::sun::star::chart2::XLegend

interface ::com::sun::star::chart2::XLegend

The interface for registering and removing legend entries.

## Member Data Documentation

## ◆ AnchorPosition

LegendPosition AnchorPosition
| property

Provides an automated position.

## ◆ Expansion

::com::sun::star::chart::ChartLegendExpansion Expansion
| property

Determines how the aspect ratio of the legend should roughly be.

Set the Expansion to com::sun::star::chart::HIGH for a legend that is positioned on the right or left hand side. Use com::sun::star::chart::WIDE for a legend that is positioned on top or the bottom.

## ◆ Overlay

boolean Overlay
| property

Determines, whether the legend should overlay the chart.

Since
  LibreOffice 7.0

## ◆ ReferencePageSize

com::sun::star::awt::Size ReferencePageSize
| propertymaybevoid

contains the size of the page at the time when properties were set (e.g.

the CharHeight).

This way it is possible to resize objects (like text) in the view without modifying the model.

## ◆ RelativePosition

::com::sun::star::chart2::RelativePosition RelativePosition
| propertymaybevoid

The position is as a relative position on the page.

If a relative position is given the legend is not automatically placed, but instead is placed relative on the page.

If VOID, the legend position is solely determined by the AnchorPosition.

## ◆ Show

boolean Show
| property

Determines, whether the legend should be rendered by the view.

The documentation for this service was generated from the following file:

- com/sun/star/chart2/Legend.idl